using UnityEngine;
using System;
using System.Collections.Generic;

public class ReligionHigh01 : RequestLetter
{
    protected override string GetTextBody()
    {
        return "Once again, our Lord Almighty has blessed us with yet another important victory in the Holy Land. I would like to personally ask you to fund the celebrations that will be held soon and send the heir to the throne to join us.";
    }

    protected override string GetSender()
    {
        return "His Holiness The Pope";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.Religion;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.High;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "Send the heir and fund the celebrations", 
                new ResponseLetter
                (
                    "Thanks for sending your son to honor our achievements. Your loyalty to the Holy Church will not be forgotten.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators, float>() { { Indicators.Wealthy, -0.1f} },
                    new Dictionary<Attributes,float>() { { Attributes.Religion, +0.2f} }
                )
            ),
            new Choice
            (
                "Just send a local priest", 
                new ResponseLetter
                (
                    "It is a pity the heir was not able to honor our celebrations. Thank you for sending a representative.", 
                    Sender, 
                    3,
                    RelatedAttribute
                )
            ),
            new Choice
            (
                "Don't send anyone", 
                new ResponseLetter
                (
                    "Your Majesty insults our order by ignoring a simple request. Remember that God only helps those who help themselves.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Attributes,float>() { { Attributes.Religion, -0.2f} }
                )
            )
        };
    }
}